[coreutils: 1/2] new upstream release 8.13, drop libs subpackage, temporarily disable multibyte checks in misc/cut te

Paul Howarth paul at city-fan.org
Sun Sep 11 10:39:23 UTC 2011


Hi Ondrej,

On Fri,  9 Sep 2011 12:54:21 +0000 (UTC)
Ondrej Vasik <ovasik at fedoraproject.org> wrote:

> commit b5f92004485e03004e5830205af0d1873f84f482
> Author: Ondřej Vašík <ovasik at redhat.com>
> Date:   Fri Sep 9 13:16:47 2011 +0200
> 
>     new upstream release 8.13, drop libs subpackage, temporarily
> disable multibyte checks in misc/cut test

...

> -324,17 +312,20 @@ fi /bin/true /bin/uname
>  /bin/unlink
> -%_bindir/*
> -%_infodir/coreutils*
> -%_mandir/man*/*
> -%_sbindir/chroot
> +%{_bindir}/*
> +%{_infodir}/coreutils*
> +%{_libexecdir}/coreutils*
> +%{_mandir}/man*/*
> +%{_sbindir}/chroot
>  %{?!norunuser:/sbin/runuser}
>  
> -%files libs
> -%defattr(-, root, root, -)
> -%{_libdir}/coreutils
> -
>  %changelog
> +* Fri Sep 09 2011 Ondrej Vasik <ovasik at redhat.com> - 8.13-1
> +- new upstream release 8.13
> +- temporarily disable recently added multibyte checks in
> +  misc/cut test
> +- drop coreutils-libs subpackage, no longer needed

I think the main coreutils package needs to obsolete coreutils-libs <
8.13 to prevent upgrade problems:

--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 0.163
Error: Package: coreutils-libs-8.12-7.fc17.x86_64
(@fedora-local/$releasever) Requires: coreutils = 8.12-7.fc17
           Removing: coreutils-8.12-7.fc17.x86_64
(@fedora-local/$releasever) coreutils = 8.12-7.fc17
           Updated By: coreutils-8.13-1.fc17.x86_64 (fedora-local)
               coreutils = 8.13-1.fc17
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Paul.


More information about the devel mailing list